
Pre-Development - Feature #19467

FE - React - cc_iam depends on keyclock instance only show content

15 January 2024 04:23 PM - chok yee fan

Status: Closed Start date: 15 January 2024

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

issue

-----

if running cc_auth, cc_iam show content without login (keycloack instance).

expected

-----

if running cc_auth, cc_iam show content WITH login (keycloack instance).

Noted: only running on cc_auth check this instance. Could use IS_POWERED_BY_QIANKUN from cciam.constant

History

#1 - 16 January 2024 03:53 PM - Amirul Umar Pandai

- Status changed from New to Resolved

- Assignee changed from Amirul Umar Pandai to chok yee fan

Feature #19467 - hide content until authenticated

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/fb8c3d55a00be2c5f158fc308f490a7b1b02019c

#2 - 18 January 2024 02:35 PM - chok yee fan

- Status changed from Resolved to Feedback

- Assignee changed from chok yee fan to Amirul Umar Pandai

careless, not quality, not testing after implement the solution. still miss leading previously cause this issue.

issue

------

browser type http://localhost:3000/, its navigate to http://localhost:3000/ccauth/topnavbar/cciam but NOT content display.

expected

------

browser type http://localhost:3000/, its navigate to http://localhost:3000/ccauth/topnavbar/cciam SHOULD content display.

#3 - 18 January 2024 03:16 PM - Amirul Umar Pandai

- Status changed from Feedback to Resolved

- Assignee changed from Amirul Umar Pandai to chok yee fan
Fix keycloak instance not showing content

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/752b4af31134167aad74c873fe7917788cce8b7c

#4 - 22 January 2024 05:17 PM - chok yee fan

- Status changed from Resolved to Closed

tested is working fine
